Bug 1001470 - openstack-dashboard django dependency conflict stops packstack execution
Summary: openstack-dashboard django dependency conflict stops packstack execution
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-packstack   
(Show other bugs)
Version: unspecified
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Ivan Chavero
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-27 06:28 UTC by Ivan Chavero
Modified: 2016-04-18 06:47 UTC (History)
4 users (show)

Fixed In Version: openstack-packstack-2013.2.1-0.36.dev1013.fc20
Doc Type: Enhancement
Doc Text:
Feature: avoid openstack-dashboard dependency conflict Reason: Result (if any):
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 23:06:22 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ivan Chavero 2013-08-27 06:28:36 UTC
Description of problem:

Some of the dependencies of openstack-dashboard on python-django14 conflict with the dependency on python-django-1.5 of other dependencies. This brings an unsuccesfull execution of packstack.


Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. git clone --recursive https://github.com/stackforge/packstack.git packstack.git
2. install packstack from this repo
3. run packstack --answer-file=~/packstack-answers-20130826-195719.txt

Actual results:

192.168.100.242_osclient.pp :                                        [ DONE ]
                                                                                               [ ERROR ]

ERROR : Error during puppet run : Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install openstack-dashboard' returned 1: Error: python-django14 conflicts with python-django-1.5.2-1.fc19.noarch
Please check log file /var/tmp/packstack/20130827-000239-_1jUGL/openstack-setup.log for more information



Expected results:

succesful packstack execution

Additional info:

If you manually install python-django14, the package openstack-dashboard installs successfully and also packstack successfully finishes its execution.

Comment 1 Ivan Chavero 2014-04-21 19:31:00 UTC
This issue has been fixed.


Note You need to log in before you can comment on or make changes to this bug.